﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.Samples.ServiceHosting.StorageClient;
using Microsoft.Samples.PersonalWebSite_WebRole.Code.Article;

namespace Microsoft.Samples.PersonalWebSite_WebRole
{
    public partial class View : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string rowKey = Request.QueryString[0];
            StorageAccountInfo accountInfo = StorageAccountInfo.GetAccountInfoFromConfiguration("TableStorageEndpoint");
            TableStorage.CreateTablesFromModel(typeof(ArticleDataServiceContext), accountInfo);
            ArticleDataServiceContext context = new ArticleDataServiceContext(accountInfo);

            Article c = new Article();
            c = context.Articles.Where(p => p.RowKey == rowKey).FirstOrDefault();

            lbContext.Text = c.Content;
            lbPubDate.Text = c.PubDate.ToLocalTime().ToString("yyyy年MM月dd日");
            lbTimestamp.Text = c.Timestamp.ToLocalTime().ToString("yyyy年MM月dd日");
            lbTitle.Text = c.Title;

        }
    }
}
