﻿<%@ Page Language="C#" MasterPageFile="~/Default.master" Title="锦扬天翔工作室 | 您身边的云计算 | 主页"
    Inherits="Default_aspx" CodeBehind="Default.aspx.cs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="server">
    <div class="shim column">
    </div>
    <div class="page" id="home">
        <div id="sidebar">
            <asp:LoginView ID="LoginArea" runat="server">
                <AnonymousTemplate>
                    <asp:Login ID="Login1" runat="server">
                        <LayoutTemplate>
                            <div class="login">
                                <h4>
                                    登录</h4>
                                <asp:Label runat="server" ID="UserNameLabel" CssClass="label" AssociatedControlID="UserName">用户名</asp:Label>
                                <asp:TextBox runat="server" ID="UserName" CssClass="textbox" AccessKey="u" />
                                <asp:RequiredFieldValidator runat="server" ID="UserNameRequired" ControlToValidate="UserName"
                                    ValidationGroup="Login1" ErrorMessage="User Name is required." ToolTip="User Name	is required.">*</asp:RequiredFieldValidator>
                                <asp:Label runat="server" ID="PasswordLabel" CssClass="label" AssociatedControlID="Password">密码</asp:Label>
                                <asp:TextBox runat="server" ID="Password" TextMode="Password" CssClass="textbox"
                                    AccessKey="p" />
                                <asp:RequiredFieldValidator runat="server" ID="PasswordRequired" ControlToValidate="Password"
                                    ValidationGroup="Login1" ToolTip="Password is	required.">*</asp:RequiredFieldValidator>
                                <div>
                                    <asp:CheckBox runat="server" ID="RememberMe" Text="记住我" /></div>
                                <asp:ImageButton runat="server" ID="LoginButton" CommandName="Login" AlternateText="login"
                                    SkinID="login" CssClass="button" />
                                &nbsp;<a href="register.aspx" class="button"><asp:Image ID="Image1" runat="server"
                                    AlternateText="create	a new account" SkinID="create" /></a>
                                <p>
                                    <asp:Literal runat="server" ID="FailureText" EnableViewState="False"></asp:Literal></p>
                            </div>
                        </LayoutTemplate>
                    </asp:Login>
                </AnonymousTemplate>
                <LoggedInTemplate>
                    <h4>
                        <asp:LoginName ID="LoginName1" runat="server" FormatString="Welcome	{0}!" />
                    </h4>
                </LoggedInTemplate>
            </asp:LoginView>
            <hr />
            <asp:FormView ID="FormView1" runat="server" DataSourceID="ObjectDataSource1" OnDataBound="Randomize"
                CellPadding="0" BorderWidth="0" EnableViewState="false">
                <ItemTemplate>
                    <h4>
                        今日图片</h4>
                    <table border="0" cellpadding="0" cellspacing="0" class="photo-frame">
                        <tr>
                            <td class="topx--">
                            </td>
                            <td class="top-x-">
                            </td>
                            <td class="top--x">
                            </td>
                        </tr>
                        <tr>
                            <td class="midx--">
                            </td>
                            <td>
                                <a href='Details.aspx?AlbumID=<%# Eval("AlbumID") %>&Page=<%# Container.DataItemIndex %>'>
                                    <img src="Handler.ashx?PhotoID=<%# Eval("PhotoID") %>&Size=M" class="photo_198" style="border: 4px solid white"
                                        alt='Photo Number <%# Eval("PhotoID") %>' /></a>
                            </td>
                            <td class="mid--x">
                            </td>
                        </tr>
                        <tr>
                            <td class="botx--">
                            </td>
                            <td class="bot-x-">
                            </td>
                            <td class="bot--x">
                            </td>
                        </tr>
                    </table>
                    <p>
                        我们每天都会在这里为您推荐一些精彩的图片，敬请关注。
                    </p>
                    <p>
                        <a href='Download.aspx?AlbumID=<%# Eval("AlbumID") %>&Page=<%# Container.DataItemIndex %>'>
                            <asp:Image runat="Server" ID="DownloadButton" AlternateText="download photo" SkinID="download" /></a></p>
                    <p>
                        <a href="Albums.aspx">更多... </a>
                    </p>
                    <hr />
                </ItemTemplate>
            </asp:FormView>
            <h4>
                联系我们</h4>
            <p>
                业务咨询：陈先生 <a href="tencent://message/?uin=8692447&Site==锦扬天翔工作室CloudEra.cn&Menu=yes">
                    <img src="http://wpa.qq.com/pa?p=1:8692447:3" /></a>
            </p>
            <p>
                业务咨询：余先生 <a href="tencent://message/?uin=514776696&Site==锦扬天翔工作室CloudEra.cn&Menu=yes">
                    <img src="http://wpa.qq.com/pa?p=1:514776696:3" /></a>
            </p>
            <p>
                市场顾问：唐小姐 <a href="tencent://message/?uin=83205118&Site==锦扬天翔工作室CloudEra.cn&Menu=yes">
                    <img src="http://wpa.qq.com/pa?p=1:83205118:3" /></a>
            </p>
            <p>
                技术顾问：刘先生 <a href="tencent://message/?uin=23131494&Site==锦扬天翔工作室CloudEra.cn&Menu=yes">
                    <img src="http://wpa.qq.com/pa?p=1:23131494:3" /></a></p>
            <p>
                Email : <a href="mailto:mars1021@163.com">mars1021@163.com</a></p>
        </div>
        <div id="content">
            <h3>
                欢迎来到锦扬天翔工作室</h3>
            <p>
                &nbsp; 锦扬天翔工作室（CLOUDERA.CN）成立于2007年3月，是中国卓越的云计算服务提供商，拥有丰富的云计算平台服务经验。其业务领域涵盖：企业信息化系统、企业门户建设、应用软件开发、系统集成及商务智能等多种IT产品与服务。作为中国最早将云计算技术引入到企业信息化的服务商，锦扬天翔工作室致力于为中国企业提供更高效、更安全、更专业的优质IT服务，引导企业进入云计算时代。</p>
            <div id="coollinks">
                <h4>
                    最近动态</h4>
                <ul class="link" style="width: 95%">
                    <asp:Repeater runat="server" ID="repeater">
                        <ItemTemplate>
                            <li>
                                <table style="margin:0px">
                                    <tr>
                                        <td width="76%">
                                            <a href="/View.aspx?azure=<%# DataBinder.Eval(Container.DataItem, "Rowkey") %> "> <span class="divTitle"> <%# DataBinder.Eval(Container.DataItem, "Title") %></span> </a>
                                        </td>
                                        <td>
                                           <%#  DataBinder.Eval(Container.DataItem, "PubDate","{0:yyyy-MM-dd}")  %> 
                                        </td>
                                    </tr>
                                </table>
                            </li>
                        </ItemTemplate>
                    </asp:Repeater>
                </ul>
            </div>
            <hr />
            <h4>
                为什么选择锦扬天翔</h4>
            <p>
                锦扬天翔工作室成员从2004年开始从事IT技术服务事业，多年来，我们秉承认真做事，踏实做人的原则，为企业提供全面，快捷，稳定的IT外包服务。我们与相当多的客户建立了长期稳定的合作关系，并且和客户开展更多的技术合作，为客户提供更多更好的技术服务的选择。</p>
            <p>
                2007年底开始专注于云计算平台的项目开发，我们拥有云计算最专业的服务团队，全面的云计算技术背景，丰富的云计算服务经验以及稳定的服务能力。我们非常愿意，也有能力成为您长期的合作伙伴，为您事业的成长助我们的一臂之力。</p>
            <h4>
                我们能够提供的服务</h4>
            <ul>
                <li>大中型企业整体信息化服务</li>
                <li>中小型企业门户网站</li>
                <li>商业智能</li>
                <li>系统集成</li>
                <li>应用软件开发</li>
            </ul>
            <p>
                *以上服务项目均可以由客户决定是否需要使用云计算技术。</p>
                 <p></p>
            <p></p>
            <p></p>
        </div>
    </div>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" TypeName="Microsoft.Samples.ServiceHosting.ClouderaCMS.PhotoManager"
        SelectMethod="GetPhotos"></asp:ObjectDataSource>
</asp:Content>
